Sender identities
Add a sender identity
POST
Requires the sender-identity:write scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
application/json- body
name*stringLength
length <= 200email*stringFormat
emailsendingDomainId*stringFormat
uuidapplication/json- response
id*stringname*stringemail*stringstatus*stringValue in
"failed""pending""verified"created*stringFormat
date-timeupdated*stringFormat
date-timesendingDomainId*stringlastVerificationCheck?stringFormat
date-timecurl -X POST 'https://api.mailcrate.io/public/sender-identity' \ -H 'Authorization: Api-Key <api_key>' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "email": "user@example.com", "sendingDomainId": "42ab023d-69c4-4d9b-b14e-a770c1291b5c"}'Example Response
{ "id": "string", "name": "string", "email": "string", "status": "failed", "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z", "sendingDomainId": "string", "lastVerificationCheck": "2019-08-24T14:15:22Z"}